Ticket #123 (closed defect: fixed)

Opened 11 years ago

Last modified 9 years ago

savannah: 2GB file size limit in fish

Reported by: slavazanko Owned by: andrew_b
Priority: major Milestone: 4.7.4
Component: mc-vfs Version: 4.6.1
Keywords: Cc: mantas@…, zaytsev
Blocked By: Blocking:
Branch state: Votes for changeset: committed-master committed-stable

Description

Original: http://savannah.gnu.org/bugs/?15524

Submitted by:Ludovic Drolez <ldrolez>Submitted on:Tue 24 Jan 2006 06:03:58 PM UTC
Category:VFSSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:All versionsOperating System:All

Discussion:

Fri 27 Apr 2007 10:14:45 AM UTC, comment #2:

This patch was over simplistic and should have been verified better 
before checking in. There were two problems with it:

a) it used the 'L' length modifier which is supposed to be used 
with floating point data types as opposed to integers. Yes, glibc 
allows it but it is noted that such use should be considered a bug.

b) it didn't care about the actual size of off_t

I've checked in a patch which fixes both problems:

http://cvs.sv.gnu.org/viewcvs/mc/mc/vfs/fish.c?sortby=date&r2=1.117&r1=1.116&diff_format=u
	Pavel Tsekov <ptsekov>
Project Administrator
Fri 27 Jan 2006 07:43:38 PM UTC, comment #1:

A patch has just been submitted to the debian BTS.
	Anonymous
Tue 24 Jan 2006 06:03:58 PM UTC, original submission:

Hi,
Someone reported the bug on the debian bts: http://bugs.debian.org/349390.

After inspecting fish.c it seems that there are 31 bits limitations 
everywhere and in particular in:
- fish_linear_start(): ... sscanf( reply_str, "%d", ...
- &fh->u.fish.total : declared as an int

Cheers,
Ludo

Change History

comment:1 Changed 11 years ago by metux

  • Component changed from mc-core to vfs

comment:2 Changed 11 years ago by mantas

  • Cc mantas@… added

comment:3 Changed 11 years ago by styx

  • Milestone set to future releases

comment:4 Changed 9 years ago by andrew_b

  • Cc zaytsev added
  • severity set to no branch
  • Milestone changed from Future Releases to 4.7

comment:5 Changed 9 years ago by angel_il

  • Owner set to angel_il
  • Status changed from new to accepted

comment:6 Changed 9 years ago by andrew_b

  • Owner changed from angel_il to andrew_b

comment:7 Changed 9 years ago by andrew_b

  • severity changed from no branch to on review
  • Milestone changed from 4.7 to 4.7.4

Created 123_vfs_file_size branch. Parent branch is master.
changeset:207f899eec89f44498114ce68c1390767fb371d5

comment:8 Changed 9 years ago by zaytsev

  • Keywords stable-candidate added

Very cool!

comment:9 Changed 9 years ago by angel_il

  • Votes for changeset set to angel_il

comment:10 Changed 9 years ago by slavazanko

  • Votes for changeset changed from angel_il to angel_il slavazanko
  • severity changed from on review to approved

comment:11 Changed 9 years ago by andrew_b

  • Status changed from accepted to testing
  • Votes for changeset changed from angel_il slavazanko to committed-master
  • Resolution set to fixed
  • severity changed from approved to merged

Merged to master.
changeset:232ca56501bab92aec1a118aeebef0691174b7b6

Cherry-pick to 4.7.0-stable requires the backport of #2242 and #2267.

comment:12 Changed 9 years ago by andrew_b

  • Status changed from testing to closed
  • Keywords stable-candidate removed
  • Votes for changeset changed from committed-master to committed-master committed-stable
Note: See TracTickets for help on using tickets.